declare const featureMap: {
    Accessibility: {
        isScreenReaderAvailable: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
        speak: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
    };
    App: {
        state: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
        getLaunchUrl: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
        appUrlOpen: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
    };
    Browser: {
        open: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
        prefetch: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
        close: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
    };
    Camera: {
        getPhoto: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
    };
    Clipboard: {
        useClipboard: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
    };
    Device: {
        getInfo: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
        getLanguageCode: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
    };
    Geolocation: {
        getCurrentPosition: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
        watchPosition: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
    };
    Network: {
        getStatus: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
    };
    Platform: {
        getPlatform: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
    };
    Storage: {
        useStorage: {
            web: boolean;
            ios: boolean;
            android: boolean;
            electron: boolean;
        };
    };
};
export declare function isFeatureAvailable<T extends typeof featureMap, PluginKeys extends keyof NonNullable<T>, FeatureKeys extends keyof NonNullable<NonNullable<T>[PluginKeys]>>(plugin: PluginKeys, method: FeatureKeys): boolean;
export {};
